@ECHO OFF
CLS
ECHO Shotgun for Heretic PWAD 
ECHO.
ECHO Installation Program
ECHO.
ECHO.

IF "%1" == "" GOTO missing_param
IF "%2" == "" GOTO missing_param
IF "%3" == "" GOTO missing_param
IF NOT EXIST %1\HERETIC.WAD GOTO nodooms
IF NOT EXIST %2\%3.WAD GOTO nodooms

ECHO.
ECHO Building temporary work directories...
MD HERESHOT
COPY BLANK.BMP .\HERESHOT
COPY CRBWD0.BMP .\HERESHOT
COPY ADVISOR.BMP .\HERESHOT
COPY DEUT.EXE .\HERESHOT
COPY HRNHIT.WAV .\HERESHOT
COPY HERESHOT.* .\HERESHOT
DEL BLANK.BMP
DEL CRBWD0.BMP
DEL ADVISOR.BMP
DEL DEUT.EXE
DEL HRNHIT.WAV
DEL HERESHOT.*
CD HERESHOT
MD SPRITES
MD SOUNDS
MD GRAPHICS

ECHO.
ECHO Extracting sprites from DOOM...
DEUT -%3 %2 -bmp -get SBOXA0
DEUT -%3 %2 -bmp -get SHELA0
DEUT -%3 %2 -bmp -get SHOTA0
DEUT -%3 %2 -bmp -get SHTGA0
DEUT -%3 %2 -bmp -get SHTGB0
DEUT -%3 %2 -bmp -get SHTGC0
REN SBOXA0.BMP AMC2A0.BMP
COPY AMC2A0.BMP AMC2B0.BMP 
COPY AMC2A0.BMP AMC2C0.BMP 
REN SHELA0.BMP AMC1A0.BMP
REN SHOTA0.BMP WBOWA0.BMP
REN SHTGA0.BMP CRBWA0.BMP
COPY CRBWA0.BMP CRBWB0.BMP
COPY CRBWA0.BMP CRBWC0.BMP
COPY CRBWA0.BMP CRBWH0.BMP
REN SHTGB0.BMP CRBWE0.BMP
COPY CRBWE0.BMP CRBWG0.BMP
REN SHTGC0.BMP CRBWF0.BMP
COPY BLANK.BMP FX03A1.BMP
COPY BLANK.BMP FX03A2A8.BMP 
COPY BLANK.BMP FX03A3A7.BMP
COPY BLANK.BMP FX03A4A6.BMP
COPY BLANK.BMP FX03A5.BMP
COPY BLANK.BMP FX03B1.BMP
COPY BLANK.BMP FX03B2B8.BMP
COPY BLANK.BMP FX03B3B7.BMP
COPY BLANK.BMP FX03B4B6.BMP
COPY BLANK.BMP FX03B5.BMP
COPY BLANK.BMP FX03C0.BMP
COPY BLANK.BMP FX03D0.BMP
COPY BLANK.BMP FX03E0.BMP
COPY BLANK.BMP FX03F0.BMP
COPY BLANK.BMP FX03G0.BMP
COPY BLANK.BMP FX03H0.BMP
COPY BLANK.BMP FX03I0.BMP
COPY BLANK.BMP FX03J0.BMP
COPY ADVISOR.BMP .\GRAPHICS
DEL ADVISOR.BMP
COPY *.BMP .\SPRITES
DEL *.BMP

ECHO.
ECHO Extracting sounds from DOOM...
DEUT -%3 %2 -wav -get DSSHOTGN
REN DSSHOTGN.WAV BOWSHT.WAV
COPY *.WAV .\SOUNDS
DEL *.WAV

ECHO.
ECHO Buiding incomplete PWAD file...
DEUT -heretic %1 -make hereshot.wcd %1\hereshot.wad

ECHO.
ECHO Appending HERETIC sprites to PWAD...
DEUT -heretic %1 -sprites -append %1\hereshot.wad

ECHO.
ECHO Copying .BAT and .TXT to %1...
copy hereshot.rmy %1\hereshot.bat /Y
copy hereshot.txt %1\hereshot.txt /Y

ECHO.
ECHO Cleaning up...
ECHO Answer yes to any questions that follow...
DEL *.*
CD SPRITES
DEL *.*
CD..
RD SPRITES
CD SOUNDS
DEL *.*
CD..
RD SOUNDS
CD GRAPHICS
DEL *.*
CD..
RD GRAPHICS
CD..
RD HERESHOT

ECHO.
ECHO Done!
ECHO.
ECHO To finish cleaning, del INSTALL.BAT.
ECHO.
ECHO To play, go to the %1 and type "HERESHOT"
ECHO.
GOTO end2

:missing_param
ECHO Usage:  install x:\path\to\heretic x:\path\to\doom doomgame
ECHO.
ECHO         e.g.  install c:\games\heretic c:\games\doom2 doom2
ECHO.
GOTO end

:nodooms
ECHO Either %1 and/or %2 and/or %3 are not correct!
ECHO.
GOTO end

:end
ECHO Installation aborted.
ECHO.

:end2
